> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cluster Manifests Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/manifests
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/manifests:
    get:
      tags:
        - Cluster
      summary: List Cluster Manifests Endpoint
      operationId: >-
        list_cluster_manifests_endpoint_api_v1_clusters__cluster_id__manifests_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClusterManifestsResult'
          description: Successful Response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListClusterManifestsResult:
      properties:
        pagination:
          $ref: >-
            #/components/schemas/usecase__cluster__manifests__list_cluster_manifests__Pagination
        result:
          items:
            $ref: '#/components/schemas/ManifestItem'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ListClusterManifestsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    usecase__cluster__manifests__list_cluster_manifests__Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ManifestItem:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        delete_permanently:
          title: Delete Permanently
          type: boolean
        manifest_base64:
          title: Manifest Base64
          type: string
        name:
          title: Name
          type: string
        stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Stack Name
        state:
          $ref: '#/components/schemas/ResourceState'
      required:
        - name
        - manifest_base64
        - state
        - delete_permanently
        - created_at
      title: ManifestItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ResourceState:
      enum:
        - creating
        - updating
        - stopping
        - up
        - down
      title: ResourceState
      type: string

````